<?php

namespace MintyPHP\Repository\User;

interface UserSavedFilterRepositoryInterface
{
    public function listByUserAndContext(int $userId, string $context): array;

    public function countByUserAndContext(int $userId, string $context): int;

    public function create(array $data): int|false;

    public function deleteByUuidForUserAndContext(string $uuid, int $userId, string $context): bool;
}
